Bug 1353001 - Review Request: gns3-gui - GNS3 graphical user interface
Summary: Review Request: gns3-gui - GNS3 graphical user interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1352997
Blocks: 1359761
TreeView+ depends on / blocked
 
Reported: 2016-07-05 17:48 UTC by Othman Madjoudj
Modified: 2016-08-18 03:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-18 03:52:10 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Othman Madjoudj 2016-07-05 17:48:12 UTC
Spec URL: https://athmane.fedorapeople.org/pkgs/gns3/gns3-gui.spec
SRPM URL: https://athmane.fedorapeople.org/pkgs/gns3/gns3-gui-1.5.0-1.fc24.src.rpm
Description: 
GNS3 is a graphical network simulator that allows you to design complex network
topologies. You may run simulations or configure devices ranging from simple 
workstations to powerful routers. 

This package is for the client (GUI).


Fedora Account System Username: athmane

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-07-29 17:11:17 UTC
Since this is a GUI tool, an appdata file is strongly recommended [
https://fedoraproject.org/wiki/Packaging:AppData].

Please split the Requires and BuildRequires into one-per-line.

"This package is for the client (GUI)." → "This package contains the client graphical user interface."

-exec rm -f {} \; → -delete

https://bugzilla.redhat.com/show_bug.cgi?id=1353000#c6 also applies here.

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-07-29 17:23:23 UTC
Hm, I built the package, but gns3-net-converter is missing.

Comment 3 Zbigniew Jędrzejewski-Szmek 2016-07-29 17:24:33 UTC
Oh, OK, I see it's also under review.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-07-29 17:50:34 UTC
Summary is wrong, please fix it in the spec file and in the title of this ticket.

Comment 5 Othman Madjoudj 2016-08-02 21:42:49 UTC
Thank you for reviewing, please find the new spec/srpm.

I forgot to mention that I'm building this on copr (dnf copr enable athmane/gns3)

Spec URL: https://athmane.fedorapeople.org/pkgs/gns3/gns3-gui.spec
SRPM URL: https://athmane.fedorapeople.org/pkgs/gns3/gns3-gui-1.5.1-1.fc24.src.rpm

%changelog
* Tue Aug 02 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1
- Fix the url

* Tue Aug 02 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.5.0-2
- Minor spec fixes
- Provide AppData

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-08-03 02:02:38 UTC
+ package name is OK
+ latest version
+ license is acceptable
- license is specified correctly:
   the license is GPLv3+, not GPLv3, according to headers

+ no scriptlets present or necessary
- appdata file is present (but see below)

+ package builds and installs OK
+ provides/requires look sane

Package is APPROVED, please fix up when uploading.

--

appstream-util validate says:
• tag-invalid           : <metadata_license> is not valid [GPLv3]
• tag-invalid           : <project_license> is not valid [GPLv3]SPDX ID 'GPLv3' unknown
Correct spdx tag is GPL-3.0+

• tag-missing           : <translation> not specified
• tag-missing           : <update_contact> is not present
You should probably use your maintainer e-mail here.

• style-invalid         : Not enough <screenshot> tags
Without screenshots the package looks bad in gnome-software :(

• tag-missing           : <name> is not present
• tag-missing           : <summary> is not present
Those two should be added.

It would be nice to fix the appdata file to also pass validate without warnings (%check should continue to use validate-relax --nonet).

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-08-03 02:03:41 UTC
Oh, and <metadata_license> should be CC0-1.0, just to make life easier for everybody.

Comment 8 Gwyn Ciesla 2016-08-05 17:14:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gns3-gui

Comment 9 Othman Madjoudj 2016-08-05 22:06:19 UTC
Appdata fixed (got only warning about translation and screenshot being small), I used before gvim as a starting point which seem a bit off.

Thanks a lot for reviewing.

Comment 10 Fedora Update System 2016-08-05 23:14:55 UTC
gns3-gui-1.5.1-2.fc24 gns3-server-1.5.1-1.fc24 gns3-net-converter-1.3.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0b7e1057b

Comment 11 Fedora Update System 2016-08-09 01:27:00 UTC
gns3-gui-1.5.1-2.fc24, gns3-net-converter-1.3.0-2.fc24, gns3-server-1.5.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0b7e1057b

Comment 12 Fedora Update System 2016-08-18 03:52:04 UTC
gns3-gui-1.5.1-2.fc24, gns3-net-converter-1.3.0-2.fc24, gns3-server-1.5.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.